Upstream information

CVE-2009-4142 at MITRE

Description

The htmlspecialchars function in PHP before 5.2.12 does not properly handle (1) overlong UTF-8 sequences, (2) invalid Shift_JIS sequences, and (3) invalid EUC-JP sequences, which allows remote attackers to conduct cross-site scripting (XSS) attacks by placing a crafted byte sequence before a special character.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 557157 [RESOLVED / FIXED], 565924 [RESOLVED / FIXED], 568527 [RESOLVED / FIXED], 581719 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • apache2-mod_php5 >= 5.2.6-50.24.1
  • php5 >= 5.2.6-50.24.1
  • php5-bcmath >= 5.2.6-50.24.1
  • php5-bz2 >= 5.2.6-50.24.1
  • php5-calendar >= 5.2.6-50.24.1
  • php5-ctype >= 5.2.6-50.24.1
  • php5-curl >= 5.2.6-50.24.1
  • php5-dba >= 5.2.6-50.24.1
  • php5-dbase >= 5.2.6-50.24.1
  • php5-dom >= 5.2.6-50.24.1
  • php5-exif >= 5.2.6-50.24.1
  • php5-fastcgi >= 5.2.6-50.24.1
  • php5-ftp >= 5.2.6-50.24.1
  • php5-gd >= 5.2.6-50.24.1
  • php5-gettext >= 5.2.6-50.24.1
  • php5-gmp >= 5.2.6-50.24.1
  • php5-hash >= 5.2.6-50.24.1
  • php5-iconv >= 5.2.6-50.24.1
  • php5-json >= 5.2.6-50.24.1
  • php5-ldap >= 5.2.6-50.24.1
  • php5-mbstring >= 5.2.6-50.24.1
  • php5-mcrypt >= 5.2.6-50.24.1
  • php5-mysql >= 5.2.6-50.24.1
  • php5-odbc >= 5.2.6-50.24.1
  • php5-openssl >= 5.2.6-50.24.1
  • php5-pcntl >= 5.2.6-50.24.1
  • php5-pdo >= 5.2.6-50.24.1
  • php5-pear >= 5.2.6-50.24.1
  • php5-pgsql >= 5.2.6-50.24.1
  • php5-pspell >= 5.2.6-50.24.1
  • php5-shmop >= 5.2.6-50.24.1
  • php5-snmp >= 5.2.6-50.24.1
  • php5-soap >= 5.2.6-50.24.1
  • php5-suhosin >= 5.2.6-50.24.1
  • php5-sysvmsg >= 5.2.6-50.24.1
  • php5-sysvsem >= 5.2.6-50.24.1
  • php5-sysvshm >= 5.2.6-50.24.1
  • php5-tokenizer >= 5.2.6-50.24.1
  • php5-wddx >= 5.2.6-50.24.1
  • php5-xmlreader >= 5.2.6-50.24.1
  • php5-xmlrpc >= 5.2.6-50.24.1
  • php5-xmlwriter >= 5.2.6-50.24.1
  • php5-xsl >= 5.2.6-50.24.1
  • php5-zip >= 5.2.6-50.24.1
  • php5-zlib >= 5.2.6-50.24.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA apache2-mod_php5
SUSE Linux Enterprise Server 11 SP2
  • apache2-mod_php5 >= 5.2.14-0.7.24.1
  • php5 >= 5.2.14-0.7.24.1
  • php5-bcmath >= 5.2.14-0.7.24.1
  • php5-bz2 >= 5.2.14-0.7.24.1
  • php5-calendar >= 5.2.14-0.7.24.1
  • php5-ctype >= 5.2.14-0.7.24.1
  • php5-curl >= 5.2.14-0.7.24.1
  • php5-dba >= 5.2.14-0.7.24.1
  • php5-dbase >= 5.2.14-0.7.24.1
  • php5-dom >= 5.2.14-0.7.24.1
  • php5-exif >= 5.2.14-0.7.24.1
  • php5-fastcgi >= 5.2.14-0.7.24.1
  • php5-ftp >= 5.2.14-0.7.24.1
  • php5-gd >= 5.2.14-0.7.24.1
  • php5-gettext >= 5.2.14-0.7.24.1
  • php5-gmp >= 5.2.14-0.7.24.1
  • php5-hash >= 5.2.14-0.7.24.1
  • php5-iconv >= 5.2.14-0.7.24.1
  • php5-json >= 5.2.14-0.7.24.1
  • php5-ldap >= 5.2.14-0.7.24.1
  • php5-mbstring >= 5.2.14-0.7.24.1
  • php5-mcrypt >= 5.2.14-0.7.24.1
  • php5-mysql >= 5.2.14-0.7.24.1
  • php5-odbc >= 5.2.14-0.7.24.1
  • php5-openssl >= 5.2.14-0.7.24.1
  • php5-pcntl >= 5.2.14-0.7.24.1
  • php5-pdo >= 5.2.14-0.7.24.1
  • php5-pear >= 5.2.14-0.7.24.1
  • php5-pgsql >= 5.2.14-0.7.24.1
  • php5-pspell >= 5.2.14-0.7.24.1
  • php5-shmop >= 5.2.14-0.7.24.1
  • php5-snmp >= 5.2.14-0.7.24.1
  • php5-soap >= 5.2.14-0.7.24.1
  • php5-suhosin >= 5.2.14-0.7.24.1
  • php5-sysvmsg >= 5.2.14-0.7.24.1
  • php5-sysvsem >= 5.2.14-0.7.24.1
  • php5-sysvshm >= 5.2.14-0.7.24.1
  • php5-tokenizer >= 5.2.14-0.7.24.1
  • php5-wddx >= 5.2.14-0.7.24.1
  • php5-xmlreader >= 5.2.14-0.7.24.1
  • php5-xmlrpc >= 5.2.14-0.7.24.1
  • php5-xmlwriter >= 5.2.14-0.7.24.1
  • php5-xsl >= 5.2.14-0.7.24.1
  • php5-zip >= 5.2.14-0.7.24.1
  • php5-zlib >= 5.2.14-0.7.24.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA apache2-mod_php5
openSUSE 11.0
  • php5-debuginfo >= 5.2.12-0.1
  • php5-debugsource >= 5.2.12-0.1
openSUSE 11.0
  • apache2-mod_php5 >= 5.2.12-0.1
  • php5 >= 5.2.12-0.1
  • php5-bcmath >= 5.2.12-0.1
  • php5-bz2 >= 5.2.12-0.1
  • php5-calendar >= 5.2.12-0.1
  • php5-ctype >= 5.2.12-0.1
  • php5-curl >= 5.2.12-0.1
  • php5-dba >= 5.2.12-0.1
  • php5-dbase >= 5.2.12-0.1
  • php5-devel >= 5.2.12-0.1
  • php5-dom >= 5.2.12-0.1
  • php5-exif >= 5.2.12-0.1
  • php5-fastcgi >= 5.2.12-0.1
  • php5-ftp >= 5.2.12-0.1
  • php5-gd >= 5.2.12-0.1
  • php5-gettext >= 5.2.12-0.1
  • php5-gmp >= 5.2.12-0.1
  • php5-hash >= 5.2.12-0.1
  • php5-iconv >= 5.2.12-0.1
  • php5-imap >= 5.2.12-0.1
  • php5-json >= 5.2.12-0.1
  • php5-ldap >= 5.2.12-0.1
  • php5-mbstring >= 5.2.12-0.1
  • php5-mcrypt >= 5.2.12-0.1
  • php5-mysql >= 5.2.12-0.1
  • php5-ncurses >= 5.2.12-0.1
  • php5-odbc >= 5.2.12-0.1
  • php5-openssl >= 5.2.12-0.1
  • php5-pcntl >= 5.2.12-0.1
  • php5-pdo >= 5.2.12-0.1
  • php5-pear >= 5.2.12-0.1
  • php5-pgsql >= 5.2.12-0.1
  • php5-posix >= 5.2.12-0.1
  • php5-pspell >= 5.2.12-0.1
  • php5-readline >= 5.2.12-0.1
  • php5-shmop >= 5.2.12-0.1
  • php5-snmp >= 5.2.12-0.1
  • php5-soap >= 5.2.12-0.1
  • php5-sockets >= 5.2.12-0.1
  • php5-sqlite >= 5.2.12-0.1
  • php5-suhosin >= 5.2.12-0.1
  • php5-sysvmsg >= 5.2.12-0.1
  • php5-sysvsem >= 5.2.12-0.1
  • php5-sysvshm >= 5.2.12-0.1
  • php5-tidy >= 5.2.12-0.1
  • php5-tokenizer >= 5.2.12-0.1
  • php5-wddx >= 5.2.12-0.1
  • php5-xmlreader >= 5.2.12-0.1
  • php5-xmlrpc >= 5.2.12-0.1
  • php5-xmlwriter >= 5.2.12-0.1
  • php5-xsl >= 5.2.12-0.1
  • php5-zip >= 5.2.12-0.1
  • php5-zlib >= 5.2.12-0.1
openSUSE 11.1
  • php5-debuginfo >= 5.2.12-0.1.1
  • php5-debugsource >= 5.2.12-0.1.1
openSUSE 11.1
  • apache2-mod_php5 >= 5.2.12-0.1.1
  • php5 >= 5.2.12-0.1.1
  • php5-bcmath >= 5.2.12-0.1.1
  • php5-bz2 >= 5.2.12-0.1.1
  • php5-calendar >= 5.2.12-0.1.1
  • php5-ctype >= 5.2.12-0.1.1
  • php5-curl >= 5.2.12-0.1.1
  • php5-dba >= 5.2.12-0.1.1
  • php5-dbase >= 5.2.12-0.1.1
  • php5-devel >= 5.2.12-0.1.1
  • php5-dom >= 5.2.12-0.1.1
  • php5-exif >= 5.2.12-0.1.1
  • php5-fastcgi >= 5.2.12-0.1.1
  • php5-ftp >= 5.2.12-0.1.1
  • php5-gd >= 5.2.12-0.1.1
  • php5-gettext >= 5.2.12-0.1.1
  • php5-gmp >= 5.2.12-0.1.1
  • php5-hash >= 5.2.12-0.1.1
  • php5-iconv >= 5.2.12-0.1.1
  • php5-imap >= 5.2.12-0.1.1
  • php5-json >= 5.2.12-0.1.1
  • php5-ldap >= 5.2.12-0.1.1
  • php5-mbstring >= 5.2.12-0.1.1
  • php5-mcrypt >= 5.2.12-0.1.1
  • php5-mysql >= 5.2.12-0.1.1
  • php5-ncurses >= 5.2.12-0.1.1
  • php5-odbc >= 5.2.12-0.1.1
  • php5-openssl >= 5.2.12-0.1.1
  • php5-pcntl >= 5.2.12-0.1.1
  • php5-pdo >= 5.2.12-0.1.1
  • php5-pear >= 5.2.12-0.1.1
  • php5-pgsql >= 5.2.12-0.1.1
  • php5-posix >= 5.2.12-0.1.1
  • php5-pspell >= 5.2.12-0.1.1
  • php5-readline >= 5.2.12-0.1.1
  • php5-shmop >= 5.2.12-0.1.1
  • php5-snmp >= 5.2.12-0.1.1
  • php5-soap >= 5.2.12-0.1.1
  • php5-sockets >= 5.2.12-0.1.1
  • php5-sqlite >= 5.2.12-0.1.1
  • php5-suhosin >= 5.2.12-0.1.1
  • php5-sysvmsg >= 5.2.12-0.1.1
  • php5-sysvsem >= 5.2.12-0.1.1
  • php5-sysvshm >= 5.2.12-0.1.1
  • php5-tidy >= 5.2.12-0.1.1
  • php5-tokenizer >= 5.2.12-0.1.1
  • php5-wddx >= 5.2.12-0.1.1
  • php5-xmlreader >= 5.2.12-0.1.1
  • php5-xmlrpc >= 5.2.12-0.1.1
  • php5-xmlwriter >= 5.2.12-0.1.1
  • php5-xsl >= 5.2.12-0.1.1
  • php5-zip >= 5.2.12-0.1.1
  • php5-zlib >= 5.2.12-0.1.1
openSUSE 11.2
  • apache2-mod_php5-debuginfo >= 5.3.1-0.1.1
  • php5-bcmath-debuginfo >= 5.3.1-0.1.1
  • php5-bz2-debuginfo >= 5.3.1-0.1.1
  • php5-calendar-debuginfo >= 5.3.1-0.1.1
  • php5-ctype-debuginfo >= 5.3.1-0.1.1
  • php5-curl-debuginfo >= 5.3.1-0.1.1
  • php5-dba-debuginfo >= 5.3.1-0.1.1
  • php5-debuginfo >= 5.3.1-0.1.1
  • php5-debugsource >= 5.3.1-0.1.1
  • php5-dom-debuginfo >= 5.3.1-0.1.1
  • php5-enchant-debuginfo >= 5.3.1-0.1.1
  • php5-exif-debuginfo >= 5.3.1-0.1.1
  • php5-fastcgi-debuginfo >= 5.3.1-0.1.1
  • php5-fileinfo-debuginfo >= 5.3.1-0.1.1
  • php5-ftp-debuginfo >= 5.3.1-0.1.1
  • php5-gd-debuginfo >= 5.3.1-0.1.1
  • php5-gettext-debuginfo >= 5.3.1-0.1.1
  • php5-gmp-debuginfo >= 5.3.1-0.1.1
  • php5-hash-debuginfo >= 5.3.1-0.1.1
  • php5-iconv-debuginfo >= 5.3.1-0.1.1
  • php5-imap-debuginfo >= 5.3.1-0.1.1
  • php5-intl-debuginfo >= 5.3.1-0.1.1
  • php5-json-debuginfo >= 5.3.1-0.1.1
  • php5-ldap-debuginfo >= 5.3.1-0.1.1
  • php5-mbstring-debuginfo >= 5.3.1-0.1.1
  • php5-mcrypt-debuginfo >= 5.3.1-0.1.1
  • php5-mysql-debuginfo >= 5.3.1-0.1.1
  • php5-odbc-debuginfo >= 5.3.1-0.1.1
  • php5-openssl-debuginfo >= 5.3.1-0.1.1
  • php5-pcntl-debuginfo >= 5.3.1-0.1.1
  • php5-pdo-debuginfo >= 5.3.1-0.1.1
  • php5-pgsql-debuginfo >= 5.3.1-0.1.1
  • php5-phar-debuginfo >= 5.3.1-0.1.1
  • php5-posix-debuginfo >= 5.3.1-0.1.1
  • php5-pspell-debuginfo >= 5.3.1-0.1.1
  • php5-readline-debuginfo >= 5.3.1-0.1.1
  • php5-shmop-debuginfo >= 5.3.1-0.1.1
  • php5-snmp-debuginfo >= 5.3.1-0.1.1
  • php5-soap-debuginfo >= 5.3.1-0.1.1
  • php5-sockets-debuginfo >= 5.3.1-0.1.1
  • php5-sqlite-debuginfo >= 5.3.1-0.1.1
  • php5-suhosin-debuginfo >= 5.3.1-0.1.1
  • php5-sysvmsg-debuginfo >= 5.3.1-0.1.1
  • php5-sysvsem-debuginfo >= 5.3.1-0.1.1
  • php5-sysvshm-debuginfo >= 5.3.1-0.1.1
  • php5-tidy-debuginfo >= 5.3.1-0.1.1
  • php5-tokenizer-debuginfo >= 5.3.1-0.1.1
  • php5-wddx-debuginfo >= 5.3.1-0.1.1
  • php5-xmlreader-debuginfo >= 5.3.1-0.1.1
  • php5-xmlrpc-debuginfo >= 5.3.1-0.1.1
  • php5-xmlwriter-debuginfo >= 5.3.1-0.1.1
  • php5-xsl-debuginfo >= 5.3.1-0.1.1
  • php5-zip-debuginfo >= 5.3.1-0.1.1
  • php5-zlib-debuginfo >= 5.3.1-0.1.1
openSUSE 11.2
  • apache2-mod_php5 >= 5.3.1-0.1.1
  • php5 >= 5.3.1-0.1.1
  • php5-bcmath >= 5.3.1-0.1.1
  • php5-bz2 >= 5.3.1-0.1.1
  • php5-calendar >= 5.3.1-0.1.1
  • php5-ctype >= 5.3.1-0.1.1
  • php5-curl >= 5.3.1-0.1.1
  • php5-dba >= 5.3.1-0.1.1
  • php5-devel >= 5.3.1-0.1.1
  • php5-dom >= 5.3.1-0.1.1
  • php5-enchant >= 5.3.1-0.1.1
  • php5-exif >= 5.3.1-0.1.1
  • php5-fastcgi >= 5.3.1-0.1.1
  • php5-fileinfo >= 5.3.1-0.1.1
  • php5-ftp >= 5.3.1-0.1.1
  • php5-gd >= 5.3.1-0.1.1
  • php5-gettext >= 5.3.1-0.1.1
  • php5-gmp >= 5.3.1-0.1.1
  • php5-hash >= 5.3.1-0.1.1
  • php5-iconv >= 5.3.1-0.1.1
  • php5-imap >= 5.3.1-0.1.1
  • php5-intl >= 5.3.1-0.1.1
  • php5-json >= 5.3.1-0.1.1
  • php5-ldap >= 5.3.1-0.1.1
  • php5-mbstring >= 5.3.1-0.1.1
  • php5-mcrypt >= 5.3.1-0.1.1
  • php5-mysql >= 5.3.1-0.1.1
  • php5-odbc >= 5.3.1-0.1.1
  • php5-openssl >= 5.3.1-0.1.1
  • php5-pcntl >= 5.3.1-0.1.1
  • php5-pdo >= 5.3.1-0.1.1
  • php5-pear >= 5.3.1-0.1.1
  • php5-pgsql >= 5.3.1-0.1.1
  • php5-phar >= 5.3.1-0.1.1
  • php5-posix >= 5.3.1-0.1.1
  • php5-pspell >= 5.3.1-0.1.1
  • php5-readline >= 5.3.1-0.1.1
  • php5-shmop >= 5.3.1-0.1.1
  • php5-snmp >= 5.3.1-0.1.1
  • php5-soap >= 5.3.1-0.1.1
  • php5-sockets >= 5.3.1-0.1.1
  • php5-sqlite >= 5.3.1-0.1.1
  • php5-suhosin >= 5.3.1-0.1.1
  • php5-sysvmsg >= 5.3.1-0.1.1
  • php5-sysvsem >= 5.3.1-0.1.1
  • php5-sysvshm >= 5.3.1-0.1.1
  • php5-tidy >= 5.3.1-0.1.1
  • php5-tokenizer >= 5.3.1-0.1.1
  • php5-wddx >= 5.3.1-0.1.1
  • php5-xmlreader >= 5.3.1-0.1.1
  • php5-xmlrpc >= 5.3.1-0.1.1
  • php5-xmlwriter >= 5.3.1-0.1.1
  • php5-xsl >= 5.3.1-0.1.1
  • php5-zip >= 5.3.1-0.1.1
  • php5-zlib >= 5.3.1-0.1.1
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • apache2-mod_php5 >= 5.2.5-9.25.1
  • php5 >= 5.2.5-9.25.1
  • php5-bcmath >= 5.2.5-9.25.1
  • php5-bz2 >= 5.2.5-9.25.1
  • php5-calendar >= 5.2.5-9.25.1
  • php5-ctype >= 5.2.5-9.25.1
  • php5-curl >= 5.2.5-9.25.1
  • php5-dba >= 5.2.5-9.25.1
  • php5-dbase >= 5.2.5-9.25.1
  • php5-devel >= 5.2.5-9.25.1
  • php5-dom >= 5.2.5-9.25.1
  • php5-exif >= 5.2.5-9.25.1
  • php5-fastcgi >= 5.2.5-9.25.1
  • php5-ftp >= 5.2.5-9.25.1
  • php5-gd >= 5.2.5-9.25.1
  • php5-gettext >= 5.2.5-9.25.1
  • php5-gmp >= 5.2.5-9.25.1
  • php5-iconv >= 5.2.5-9.25.1
  • php5-imap >= 5.2.5-9.25.1
  • php5-json >= 5.2.5-9.25.1
  • php5-ldap >= 5.2.5-9.25.1
  • php5-mbstring >= 5.2.5-9.25.1
  • php5-mcrypt >= 5.2.5-9.25.1
  • php5-mhash >= 5.2.5-9.25.1
  • php5-mysql >= 5.2.5-9.25.1
  • php5-ncurses >= 5.2.5-9.25.1
  • php5-odbc >= 5.2.5-9.25.1
  • php5-openssl >= 5.2.5-9.25.1
  • php5-pcntl >= 5.2.5-9.25.1
  • php5-pdo >= 5.2.5-9.25.1
  • php5-pear >= 5.2.5-9.25.1
  • php5-pgsql >= 5.2.5-9.25.1
  • php5-posix >= 5.2.5-9.25.1
  • php5-pspell >= 5.2.5-9.25.1
  • php5-shmop >= 5.2.5-9.25.1
  • php5-snmp >= 5.2.5-9.25.1
  • php5-soap >= 5.2.5-9.25.1
  • php5-sockets >= 5.2.5-9.25.1
  • php5-sqlite >= 5.2.5-9.25.1
  • php5-suhosin >= 5.2.5-9.25.1
  • php5-sysvmsg >= 5.2.5-9.25.1
  • php5-sysvsem >= 5.2.5-9.25.1
  • php5-sysvshm >= 5.2.5-9.25.1
  • php5-tokenizer >= 5.2.5-9.25.1
  • php5-wddx >= 5.2.5-9.25.1
  • php5-xmlreader >= 5.2.5-9.25.1
  • php5-xmlrpc >= 5.2.5-9.25.1
  • php5-xsl >= 5.2.5-9.25.1
  • php5-zlib >= 5.2.5-9.25.1
sles10-sp3.x86
sles10-sp3-debuginfo.s390x
sles10-sp3-debuginfo.ia64
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sles10-sp3.ppc
sle10-sp3-sdk.ppc
sle10-sp3-sdk.s390x
sle10-sp3-sdk.s390x
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.s390x
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.ia64
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.x86-64
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.ppc
sles10-sp3.x86-64
sles10-sp3-debuginfo.x86-64
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.s390x
ZYPP Patch Nr: 6847
SUSE Linux Enterprise SDK 10 SP3
  • apache2-mod_php5 >= 5.2.5-9.25.1
  • php5 >= 5.2.5-9.25.1
  • php5-bcmath >= 5.2.5-9.25.1
  • php5-bz2 >= 5.2.5-9.25.1
  • php5-calendar >= 5.2.5-9.25.1
  • php5-ctype >= 5.2.5-9.25.1
  • php5-curl >= 5.2.5-9.25.1
  • php5-dba >= 5.2.5-9.25.1
  • php5-dbase >= 5.2.5-9.25.1
  • php5-devel >= 5.2.5-9.25.1
  • php5-dom >= 5.2.5-9.25.1
  • php5-exif >= 5.2.5-9.25.1
  • php5-fastcgi >= 5.2.5-9.25.1
  • php5-ftp >= 5.2.5-9.25.1
  • php5-gd >= 5.2.5-9.25.1
  • php5-gettext >= 5.2.5-9.25.1
  • php5-gmp >= 5.2.5-9.25.1
  • php5-iconv >= 5.2.5-9.25.1
  • php5-imap >= 5.2.5-9.25.1
  • php5-ldap >= 5.2.5-9.25.1
  • php5-mbstring >= 5.2.5-9.25.1
  • php5-mcrypt >= 5.2.5-9.25.1
  • php5-mhash >= 5.2.5-9.25.1
  • php5-mysql >= 5.2.5-9.25.1
  • php5-ncurses >= 5.2.5-9.25.1
  • php5-odbc >= 5.2.5-9.25.1
  • php5-openssl >= 5.2.5-9.25.1
  • php5-pcntl >= 5.2.5-9.25.1
  • php5-pdo >= 5.2.5-9.25.1
  • php5-pear >= 5.2.5-9.25.1
  • php5-pgsql >= 5.2.5-9.25.1
  • php5-posix >= 5.2.5-9.25.1
  • php5-pspell >= 5.2.5-9.25.1
  • php5-shmop >= 5.2.5-9.25.1
  • php5-snmp >= 5.2.5-9.25.1
  • php5-soap >= 5.2.5-9.25.1
  • php5-sockets >= 5.2.5-9.25.1
  • php5-sqlite >= 5.2.5-9.25.1
  • php5-suhosin >= 5.2.5-9.25.1
  • php5-sysvmsg >= 5.2.5-9.25.1
  • php5-sysvsem >= 5.2.5-9.25.1
  • php5-sysvshm >= 5.2.5-9.25.1
  • php5-tidy >= 5.2.5-9.25.1
  • php5-tokenizer >= 5.2.5-9.25.1
  • php5-wddx >= 5.2.5-9.25.1
  • php5-xmlreader >= 5.2.5-9.25.1
  • php5-xmlrpc >= 5.2.5-9.25.1
  • php5-xsl >= 5.2.5-9.25.1
  • php5-zlib >= 5.2.5-9.25.1
sles10-sp3.x86
sles10-sp3-debuginfo.s390x
sles10-sp3-debuginfo.ia64
sles10-sp3.ia64
sle10-sp3-sdk.x86-64
sle10-sp3-sdk.x86
sles10-sp3.ppc
sle10-sp3-sdk.ppc
sle10-sp3-sdk.s390x
sle10-sp3-sdk.s390x
sles10-sp3.x86
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86-64
sles10-sp3.x86-64
sles10-sp3.s390x
sles10-sp3.s390x
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86
sles10-sp3-debuginfo.ppc
sles10-sp3-debuginfo.ia64
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.x86-64
sles10-sp3.ppc
sles10-sp3.ia64
sle10-sp3-sdk.ppc
sles10-sp3-debuginfo.ppc
sles10-sp3.x86-64
sles10-sp3-debuginfo.x86-64
sles10-sp3-debuginfo.x86
sles10-sp3-debuginfo.s390x
ZYPP Patch Nr: 6847
SUSE Linux Enterprise SDK 11 GA
  • apache2-mod_php5 >= 5.2.6-50.24.1
  • php5 >= 5.2.6-50.24.1
  • php5-bcmath >= 5.2.6-50.24.1
  • php5-bz2 >= 5.2.6-50.24.1
  • php5-calendar >= 5.2.6-50.24.1
  • php5-ctype >= 5.2.6-50.24.1
  • php5-curl >= 5.2.6-50.24.1
  • php5-dba >= 5.2.6-50.24.1
  • php5-dbase >= 5.2.6-50.24.1
  • php5-devel >= 5.2.6-50.24.1
  • php5-dom >= 5.2.6-50.24.1
  • php5-exif >= 5.2.6-50.24.1
  • php5-fastcgi >= 5.2.6-50.24.1
  • php5-ftp >= 5.2.6-50.24.1
  • php5-gd >= 5.2.6-50.24.1
  • php5-gettext >= 5.2.6-50.24.1
  • php5-gmp >= 5.2.6-50.24.1
  • php5-hash >= 5.2.6-50.24.1
  • php5-iconv >= 5.2.6-50.24.1
  • php5-imap >= 5.2.6-50.24.1
  • php5-json >= 5.2.6-50.24.1
  • php5-ldap >= 5.2.6-50.24.1
  • php5-mbstring >= 5.2.6-50.24.1
  • php5-mcrypt >= 5.2.6-50.24.1
  • php5-mysql >= 5.2.6-50.24.1
  • php5-ncurses >= 5.2.6-50.24.1
  • php5-odbc >= 5.2.6-50.24.1
  • php5-openssl >= 5.2.6-50.24.1
  • php5-pcntl >= 5.2.6-50.24.1
  • php5-pdo >= 5.2.6-50.24.1
  • php5-pear >= 5.2.6-50.24.1
  • php5-pgsql >= 5.2.6-50.24.1
  • php5-posix >= 5.2.6-50.24.1
  • php5-pspell >= 5.2.6-50.24.1
  • php5-readline >= 5.2.6-50.24.1
  • php5-shmop >= 5.2.6-50.24.1
  • php5-snmp >= 5.2.6-50.24.1
  • php5-soap >= 5.2.6-50.24.1
  • php5-sockets >= 5.2.6-50.24.1
  • php5-sqlite >= 5.2.6-50.24.1
  • php5-suhosin >= 5.2.6-50.24.1
  • php5-sysvmsg >= 5.2.6-50.24.1
  • php5-sysvsem >= 5.2.6-50.24.1
  • php5-sysvshm >= 5.2.6-50.24.1
  • php5-tidy >= 5.2.6-50.24.1
  • php5-tokenizer >= 5.2.6-50.24.1
  • php5-wddx >= 5.2.6-50.24.1
  • php5-xmlreader >= 5.2.6-50.24.1
  • php5-xmlrpc >= 5.2.6-50.24.1
  • php5-xmlwriter >= 5.2.6-50.24.1
  • php5-xsl >= 5.2.6-50.24.1
  • php5-zip >= 5.2.6-50.24.1
  • php5-zlib >= 5.2.6-50.24.1
sles11.ppc
sle11-sdk.s390x
sle11-sdk.x86-64
sle11-debuginfo.x86-64
sles11.x86
sle11-sdk.ppc
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.ia64
sles11.ia64
sle11-sdk.ia64
sle11-sdk.x86
sles11.s390x
sle11-debuginfo.s390x
SAT Patch Nr: 1978
SUSE Linux Enterprise SDK 11 GA
  • php5-devel >= 5.2.6-50.24.1
  • php5-imap >= 5.2.6-50.24.1
  • php5-ncurses >= 5.2.6-50.24.1
  • php5-posix >= 5.2.6-50.24.1
  • php5-readline >= 5.2.6-50.24.1
  • php5-sockets >= 5.2.6-50.24.1
  • php5-sqlite >= 5.2.6-50.24.1
  • php5-tidy >= 5.2.6-50.24.1
sles11.ppc
sle11-sdk.s390x
sle11-sdk.x86-64
sle11-debuginfo.x86-64
sles11.x86
sle11-sdk.ppc
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.ia64
sles11.ia64
sle11-sdk.ia64
sle11-sdk.x86
sles11.s390x
sle11-debuginfo.s390x
SAT Patch Nr: 1978
SUSE Linux Enterprise Server 11 GA
  • apache2-mod_php5 >= 5.2.6-50.24.1
  • php5 >= 5.2.6-50.24.1
  • php5-bcmath >= 5.2.6-50.24.1
  • php5-bz2 >= 5.2.6-50.24.1
  • php5-calendar >= 5.2.6-50.24.1
  • php5-ctype >= 5.2.6-50.24.1
  • php5-curl >= 5.2.6-50.24.1
  • php5-dba >= 5.2.6-50.24.1
  • php5-dbase >= 5.2.6-50.24.1
  • php5-dom >= 5.2.6-50.24.1
  • php5-exif >= 5.2.6-50.24.1
  • php5-fastcgi >= 5.2.6-50.24.1
  • php5-ftp >= 5.2.6-50.24.1
  • php5-gd >= 5.2.6-50.24.1
  • php5-gettext >= 5.2.6-50.24.1
  • php5-gmp >= 5.2.6-50.24.1
  • php5-hash >= 5.2.6-50.24.1
  • php5-iconv >= 5.2.6-50.24.1
  • php5-json >= 5.2.6-50.24.1
  • php5-ldap >= 5.2.6-50.24.1
  • php5-mbstring >= 5.2.6-50.24.1
  • php5-mcrypt >= 5.2.6-50.24.1
  • php5-mysql >= 5.2.6-50.24.1
  • php5-odbc >= 5.2.6-50.24.1
  • php5-openssl >= 5.2.6-50.24.1
  • php5-pcntl >= 5.2.6-50.24.1
  • php5-pdo >= 5.2.6-50.24.1
  • php5-pear >= 5.2.6-50.24.1
  • php5-pgsql >= 5.2.6-50.24.1
  • php5-pspell >= 5.2.6-50.24.1
  • php5-shmop >= 5.2.6-50.24.1
  • php5-snmp >= 5.2.6-50.24.1
  • php5-soap >= 5.2.6-50.24.1
  • php5-suhosin >= 5.2.6-50.24.1
  • php5-sysvmsg >= 5.2.6-50.24.1
  • php5-sysvsem >= 5.2.6-50.24.1
  • php5-sysvshm >= 5.2.6-50.24.1
  • php5-tokenizer >= 5.2.6-50.24.1
  • php5-wddx >= 5.2.6-50.24.1
  • php5-xmlreader >= 5.2.6-50.24.1
  • php5-xmlrpc >= 5.2.6-50.24.1
  • php5-xmlwriter >= 5.2.6-50.24.1
  • php5-xsl >= 5.2.6-50.24.1
  • php5-zip >= 5.2.6-50.24.1
  • php5-zlib >= 5.2.6-50.24.1
sles11.ppc
sle11-sdk.s390x
sle11-sdk.x86-64
sle11-debuginfo.x86-64
sles11.x86
sle11-sdk.ppc
sle11-debuginfo.x86
sles11.x86-64
sle11-debuginfo.ppc
sle11-debuginfo.ia64
sles11.ia64
sle11-sdk.ia64
sle11-sdk.x86
sles11.s390x
sle11-debuginfo.s390x
SAT Patch Nr: 1978
SUSE Linux Enterprise Server for SAP 10 SP2
  • apache2-mod_php5 >= 5.2.5-9.23.3
  • php5 >= 5.2.5-9.23.3
  • php5-bcmath >= 5.2.5-9.23.3
  • php5-bz2 >= 5.2.5-9.23.3
  • php5-calendar >= 5.2.5-9.23.3
  • php5-ctype >= 5.2.5-9.23.3
  • php5-curl >= 5.2.5-9.23.3
  • php5-dba >= 5.2.5-9.23.3
  • php5-dbase >= 5.2.5-9.23.3
  • php5-devel >= 5.2.5-9.23.3
  • php5-dom >= 5.2.5-9.23.3
  • php5-exif >= 5.2.5-9.23.3
  • php5-fastcgi >= 5.2.5-9.23.3
  • php5-ftp >= 5.2.5-9.23.3
  • php5-gd >= 5.2.5-9.23.3
  • php5-gettext >= 5.2.5-9.23.3
  • php5-gmp >= 5.2.5-9.23.3
  • php5-iconv >= 5.2.5-9.23.3
  • php5-imap >= 5.2.5-9.23.3
  • php5-json >= 5.2.5-9.23.3
  • php5-ldap >= 5.2.5-9.23.3
  • php5-mbstring >= 5.2.5-9.23.3
  • php5-mcrypt >= 5.2.5-9.23.3
  • php5-mhash >= 5.2.5-9.23.3
  • php5-mysql >= 5.2.5-9.23.3
  • php5-ncurses >= 5.2.5-9.23.3
  • php5-odbc >= 5.2.5-9.23.3
  • php5-openssl >= 5.2.5-9.23.3
  • php5-pcntl >= 5.2.5-9.23.3
  • php5-pdo >= 5.2.5-9.23.3
  • php5-pear >= 5.2.5-9.23.3
  • php5-pgsql >= 5.2.5-9.23.3
  • php5-posix >= 5.2.5-9.23.3
  • php5-pspell >= 5.2.5-9.23.3
  • php5-shmop >= 5.2.5-9.23.3
  • php5-snmp >= 5.2.5-9.23.3
  • php5-soap >= 5.2.5-9.23.3
  • php5-sockets >= 5.2.5-9.23.3
  • php5-sqlite >= 5.2.5-9.23.3
  • php5-suhosin >= 5.2.5-9.23.3
  • php5-sysvmsg >= 5.2.5-9.23.3
  • php5-sysvsem >= 5.2.5-9.23.3
  • php5-sysvshm >= 5.2.5-9.23.3
  • php5-tokenizer >= 5.2.5-9.23.3
  • php5-wddx >= 5.2.5-9.23.3
  • php5-xmlreader >= 5.2.5-9.23.3
  • php5-xmlrpc >= 5.2.5-9.23.3
  • php5-xsl >= 5.2.5-9.23.3
  • php5-zlib >= 5.2.5-9.23.3
sle10-sp2-sdk.ppc
sle10-sp2-sdk.x86
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86
sles10-sp2-debuginfo.x86-64
sles10-sp2-debuginfo.s390x
sles10-sp2.ia64
sle10-sp2-sdk.x86
sles10-sp2.ppc
sle10-sp2-sdk.ppc
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2-debuginfo.ia64
sles10-sp2-debuginfo.ia64
sles10-sp2-debuginfo.s390x
sles10-sp2.x86
sles10-sp2.s390x
sles10-sp2-debuginfo.ppc
sles10-sp2.x86
sles10-sp2-debuginfo.x86-64
sle10-sp2-sdk.x86-64
sles10-sp2.ia64
sle10-sp2-sdk.s390x
sle10-sp2-sdk.x86-64
sles10-sp2-debuginfo.ppc
sles10-sp2.ppc
sle10-sp2-sdk.s390x
sle10-sp2-sdk.ia64
ZYPP Patch Nr: 6846
SUSE Linux Enterprise SDK 10 SP2
  • apache2-mod_php5 >= 5.2.5-9.23.3
  • php5 >= 5.2.5-9.23.3
  • php5-bcmath >= 5.2.5-9.23.3
  • php5-bz2 >= 5.2.5-9.23.3
  • php5-calendar >= 5.2.5-9.23.3
  • php5-ctype >= 5.2.5-9.23.3
  • php5-curl >= 5.2.5-9.23.3
  • php5-dba >= 5.2.5-9.23.3
  • php5-dbase >= 5.2.5-9.23.3
  • php5-devel >= 5.2.5-9.23.3
  • php5-dom >= 5.2.5-9.23.3
  • php5-exif >= 5.2.5-9.23.3
  • php5-fastcgi >= 5.2.5-9.23.3
  • php5-ftp >= 5.2.5-9.23.3
  • php5-gd >= 5.2.5-9.23.3
  • php5-gettext >= 5.2.5-9.23.3
  • php5-gmp >= 5.2.5-9.23.3
  • php5-iconv >= 5.2.5-9.23.3
  • php5-imap >= 5.2.5-9.23.3
  • php5-ldap >= 5.2.5-9.23.3
  • php5-mbstring >= 5.2.5-9.23.3
  • php5-mcrypt >= 5.2.5-9.23.3
  • php5-mhash >= 5.2.5-9.23.3
  • php5-mysql >= 5.2.5-9.23.3
  • php5-ncurses >= 5.2.5-9.23.3
  • php5-odbc >= 5.2.5-9.23.3
  • php5-openssl >= 5.2.5-9.23.3
  • php5-pcntl >= 5.2.5-9.23.3
  • php5-pdo >= 5.2.5-9.23.3
  • php5-pear >= 5.2.5-9.23.3
  • php5-pgsql >= 5.2.5-9.23.3
  • php5-posix >= 5.2.5-9.23.3
  • php5-pspell >= 5.2.5-9.23.3
  • php5-shmop >= 5.2.5-9.23.3
  • php5-snmp >= 5.2.5-9.23.3
  • php5-soap >= 5.2.5-9.23.3
  • php5-sockets >= 5.2.5-9.23.3
  • php5-sqlite >= 5.2.5-9.23.3
  • php5-suhosin >= 5.2.5-9.23.3
  • php5-sysvmsg >= 5.2.5-9.23.3
  • php5-sysvsem >= 5.2.5-9.23.3
  • php5-sysvshm >= 5.2.5-9.23.3
  • php5-tidy >= 5.2.5-9.23.3
  • php5-tokenizer >= 5.2.5-9.23.3
  • php5-wddx >= 5.2.5-9.23.3
  • php5-xmlreader >= 5.2.5-9.23.3
  • php5-xmlrpc >= 5.2.5-9.23.3
  • php5-xsl >= 5.2.5-9.23.3
  • php5-zlib >= 5.2.5-9.23.3
sle10-sp2-sdk.ppc
sle10-sp2-sdk.x86
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86
sles10-sp2.x86-64
sles10-sp2-debuginfo.x86
sles10-sp2-debuginfo.x86-64
sles10-sp2-debuginfo.s390x
sles10-sp2.ia64
sle10-sp2-sdk.x86
sles10-sp2.ppc
sle10-sp2-sdk.ppc
sle10-sp2-sdk.ia64
sles10-sp2.s390x
sles10-sp2-debuginfo.ia64
sles10-sp2-debuginfo.ia64
sles10-sp2-debuginfo.s390x
sles10-sp2.x86
sles10-sp2.s390x
sles10-sp2-debuginfo.ppc
sles10-sp2.x86
sles10-sp2-debuginfo.x86-64
sle10-sp2-sdk.x86-64
sles10-sp2.ia64
sle10-sp2-sdk.s390x
sle10-sp2-sdk.x86-64
sles10-sp2-debuginfo.ppc
sles10-sp2.ppc
sle10-sp2-sdk.s390x
sle10-sp2-sdk.ia64
ZYPP Patch Nr: 6846


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 GA php5 Released
SUSE Linux Enterprise SDK 11 SP1 php5 Released
SUSE Linux Enterprise SDK 11 SP2 php5 Released
SUSE Linux Enterprise Server 10 SP3 php5 Released
SUSE Linux Enterprise Server 10 SP4 php5 Released
SUSE Linux Enterprise Server 10 SP4 LTSS php5 Released
SUSE Linux Enterprise Server 11 SP1 php5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Released
SUSE Linux Enterprise Server 11 SP2 php5 Released
SUSE Linux Enterprise Server 11 SP2 LTSS php5 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 php5 Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 php5 Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 php5 Released
SUSE Linux Enterprise Server for VMWare 11 SP2 php5 Released